#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := github.com/ziutek/rrd

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=golang
	cp rrdfunc.c rrdfunc.h obj-$(DEB_BUILD_GNU_TYPE)/src/$(DH_GOPKG)

%:
	dh $@ --buildsystem=golang --with=golang
